Bug 493278 - xine causes X to crash
xine causes X to crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
12
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_852GM/855GM
: Triaged
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-01 04:50 EDT by Mamoru TASAKA
Modified: 2010-12-05 01:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:58:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (318 bytes, text/plain)
2009-04-01 04:51 EDT, Mamoru TASAKA
no flags Details
Xorg.0.log when X crashes (99.51 KB, text/plain)
2009-04-01 04:51 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2009-04-01 04:50:03 EDT
Description of problem:
When I launch xine
- First time, xine crashes with some error messages
- Second time, whole X crashes

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.6.99.902-1.fc11.i586
xorg-x11-server-Xorg-1.6.0-16.fc11.i586
libdrm-2.4.5-3.fc11.i586
kernel-2.6.29.1-35.rc1.fc11.i586
xine-0.99.5-5.fc10.i386

How reproducible:
90%

Steps to Reproduce:
1. Lauch xine
2.
3.
  
Actual results:
* First time xine lauched:
$ xine
xine (X11 gui) - 無償の動画プレイヤー v0.99.5.
(c) 2000-2007 xine チーム
X Error of failed request:  BadAlloc (insufficient resources for operation)
  Major opcode of failed request:  132 (XVideo)
  Minor opcode of failed request:  19 ()
  Serial number of failed request:  2183
  Current serial number in output stream:  2184

* Second time X crashes (see attached)

Additional info:
With xorg-x11-drv-i810-2.6.0-5.fc11.i386 there is
no problem.
Comment 1 Mamoru TASAKA 2009-04-01 04:51:10 EDT
Created attachment 337469 [details]
xorg.conf
Comment 2 Mamoru TASAKA 2009-04-01 04:51:39 EDT
Created attachment 337470 [details]
Xorg.0.log when X crashes
Comment 3 Bug Zapper 2009-06-09 08:55:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Ingo van Lil 2009-07-10 15:36:21 EDT
Bug #505285 deals with the same problem, and I've uploaded a one-line patch there to keep the X server from crashing. Playing videos still doesn't work, unfortunately.
Comment 6 Matěj Cepl 2009-11-05 13:24:10 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Mamoru TASAKA 2009-11-09 13:21:17 EST
From my (old) Xorg.0.log, this is related to Xv, however
with current my environment:

kernel-2.6.31.5-122.fc12.i686
xorg-x11-server-Xorg-1.7.1-7.fc12.i686
xorg-x11-drv-intel-2.9.1-1.fc12.i686

first of all Xv is not working (bug 502913) with KMS (and nomodeset
not working), so I cannot check if this issue is really fixed or 
not (as currently I use xine with --driver xshm)
Comment 8 Mamoru TASAKA 2009-11-09 13:21:57 EST
(In reply to comment #7)
> (as currently I use xine with --driver xshm)  
as currently I use xine with "-V xshm"
Comment 9 Bug Zapper 2009-11-16 04:53:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-11-04 07:24:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-05 01:58:07 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.